import { IGetLeagueAdminPermissionsPresenter, GetLeagueAdminPermissionsResultDTO, GetLeagueAdminPermissionsViewModel } from '@core/racing/application/presenters/IGetLeagueAdminPermissionsPresenter';

export class GetLeagueAdminPermissionsPresenter implements IGetLeagueAdminPermissionsPresenter {
  private result: GetLeagueAdminPermissionsViewModel | null = null;

  reset() {
    this.result = null;
  }

  present(dto: GetLeagueAdminPermissionsResultDTO) {
    this.result = dto;
  }

  getViewModel(): GetLeagueAdminPermissionsViewModel | null {
    return this.result;
  }
}